Trying to run a Perl script on 10.4 I get this message:

Base class package "CGI::Application" is empty.
(Perhaps you need to 'use' the module which defines that package first.)